import java.awt.Button; 
import java.awt.Frame;
import java.applet.Applet;
import java.awt.event.ActionListener; 
import java.awt.event.ActionEvent; 
 
public class AButton extends Applet { 
/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private int count = 0;
	Button countButton;

	public void refresh() {
		countButton.setLabel(String.valueOf(count));
	}
	
	public void inc() {
		count++;
		refresh();
	}
	
	public void reset() {
		count = 0;
		refresh();
	}
	
	public void init() { 
		
	countButton = new Button(String.valueOf(count));  
    add(countButton); 
    countButton.addActionListener(new ActionListener() { 
        			public void actionPerformed(ActionEvent e) { 
        					inc(); 
        			} 
        		}); 

    Button resetButton = new Button("reset");  
    add(resetButton); 
    resetButton.addActionListener(new ActionListener() { 
        			public void actionPerformed(ActionEvent e) { 
        					reset(); 
        			} 
      			});
    
    Button quitButton = new Button("quit");  
    add(quitButton); 
    quitButton.addActionListener(new ActionListener() { 
    				public void actionPerformed(ActionEvent e) { 
    						System.exit(0);
    				} 
        		}); 
 
  }
  public static void main(String [] args)
  {
     Frame f = new Frame("Klikacz");

     AButton b = new AButton();

     b.init();

     f.add("Center", b);

     f.pack();
     f.setVisible(true);
  }

} 
